/****************************************************************************
** $Id:  cmds/cmdrotateview.h
** AutoQ3D a qt 3d model editor program
**
** Copyright (C) 2005 -Gonzalo Reynaga Garca. <gonzaloreynaga@yahoo.com>
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public Licence
** as published by the Free Software Foundation; either version 2 
** of the License, or (at your option) any later option.
** 
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR PARTICULAR PURPOSE. See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
** 
*****************************************************************************/

#ifndef CMDROTATEVIEW_H
#define CMDROTATEVIEW_H
#include "cmds.h"


void cmds::cmdrotateview(){

	if(SecCmd=="**Cancel**"||SecCmd==""){
			rtlines[0].find=0;
			emit SetMouseMode(MOUSEMODE_SELECT);
			emit instru("Command:");
			SendText(SecCmd);
			CommandActive=0;
			step=0;SecCmd="BlankCommand";
			return;
	}

	switch(step){
		
		case 0:
			/*/////////*/
			if(!SecCmd.compare("z")||!SecCmd.compare("zoom")||!SecCmd.compare("'zoom")){
				CommandActive=0;
				SecCmd="BlankCommand";
				processcmd("z");
				return;
			}
			
			if(!SecCmd.compare("p")||!SecCmd.compare("pan")||!SecCmd.compare("'pan")){
				CommandActive=0;
				SecCmd="BlankCommand";
				processcmd("p");
				return;
			}
			
				SendText(currentcmd);
				emit instru("Rotate View:");
				emit SetMouseMode(MOUSEMODE_ROTATE);
				return;
		break;
	}
	
	SendText(SecCmd);
	SendText("**Secundary Command not found**");
}


#endif
